# GetLicenseKind

### Description

Gets the license kind. The license kind can be one of the following:

* Undetermined
* NodeLocked
* FloatingMaster
* FloatingNode

The first time an application runs, the license kind is undetermined. Once a license is activated, GetLicenseKind determines if the activated is a node locked license or a floating license. If the license is a floating license, GetLicenseKind determines if the current node the master node or a regular node.

```csharp
ELicenseKind GetLicenseKind(bool licenseValid, string activationKey);
```

### Parameters

| Parameter     |  Type  | Description                                      |
| ------------- | :----: | ------------------------------------------------ |
| licenseValid  |  bool  | Flag indicating whether the license key is valid |
| activationKey | string | The Activation Key                               |

### Return

| Type                                                                                         | Description                      |
| -------------------------------------------------------------------------------------------- | -------------------------------- |
| [ELicenseKind](/docs/api-reference/.net-api/iqlmfloatinglicensehelper/enums/elicensekind.md) | status of the license activation |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/methods/getlicensekind.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
